<?php

namespace Treewec\Utils;

/**
 * Test class for Files.
 * Generated by PHPUnit on 2012-07-03 at 14:05:26.
 * @group utils
 */
class FilesTest extends \PHPUnit_Framework_TestCase {

    public function testGetBasename() {
        $this->assertBasename('/site/makov.php', '.php', 'makov');
        $this->assertBasename('/site/žemle.php', '.php', 'žemle');
        // invalid extension
        $this->assertBasename('/site/žemle.php', 'das', 'žemle.php');
        $this->assertBasename('/site/žemle.php', null, 'žemle.php');
    }

    private function assertBasename($path, $extension, $result) {
        $spl = new \SplFileInfo($path);
        parent::assertEquals(Files::getBasename($spl, $extension), $result);
    }

}

?>
